Bug 491214 - Add a repo regen task to the taskomatic queue at the time of channel cloning
Add a repo regen task to the taskomatic queue at the time of channel cloning
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: WebUI (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Shannon Hughes
Corey Welton
:
Depends On:
Blocks: 485807
  Show dependency treegraph
 
Reported: 2009-03-19 16:48 EDT by Pradeep Kilambi
Modified: 2009-09-10 14:41 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:41:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pradeep Kilambi 2009-03-19 16:48:45 EDT
This should be in the perl code, At the time of channel cloning, a task needs to be scheduled for takomatic in rhnRepoRegenQueue to generate repodata for the new cloned  channels content. Should be a simple fix to perl page.

Currently this is regenerated at the time of client request. The client should'tn have to wait, this should be triggered immediately after the clone is complete.
Comment 1 Shannon Hughes 2009-03-23 15:08:49 EDT
tested this with latest code and its working. 

rhnsat@rhnsat> select id,client from rhnreporegenqueue;

  ID CLIENT                          
---- --------------------------------
1861 perl-web::clone_channel_packages

1 row selected (0.02 seconds)


test plan:

1) clone a channel
2) check if repo cache has been generated in /var/cache/rhn/repodata
the channel label will be the directory.
Comment 2 Corey Welton 2009-04-29 15:32:02 EDT
QA Verified.
Comment 3 Miroslav Suchý 2009-08-10 10:47:19 EDT
verified in stage
Comment 4 Brandon Perkins 2009-09-10 14:41:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.